<?php
require('./tools/seqtools.php');// include sequence functions, parsing etc.
require('./tools/formtools.php');
require('./tools/reporttools.php');

// Form buttons from main form
$submit = $_POST['submit'];
$submit_example = $_POST['submit_example'];
$filename=$_POST['filename'];

if ($submit) {
   $t_original = $inputseqs;
   $t_1 = preg_replace('/\)[0-9]+\.*[0-9]*:/','):',$t_original);// delete all bootstrap values
   $t_2 = preg_replace('/:[0-9]+\.*[0-9]*/','',$t_original);// delete all :#.### (branch lengths)
   $t_3 = preg_replace('/\)[0-9]+\.*[0-9]*/',')',$t_2);// delete all bootstrap values
}
//
// BEGIN HTML OUTPUT!
//
show_page_header("Newick parser (remove branch lengths and bootstrap values)", "<a href='#results'>Conversion finished, results are at bottom (or click here)</a>", $submit, $error);
?>
<!-- INPUT FORM -->
<form action="#" method='POST' enctype='multipart/form-data'>
<?php
show_fieldset_inputseqs ($submit_example, $inputseqs, "./examples/newick_parser.tree") 
?>
<P>
<!-- Settings fieldset -->
<fieldset>
<legend>Settings</legend>
<?php
show_submit_buttons("Do formatting");
?>
</fieldset>
</form>

<!-- RESULTS SECTION  -->

<?php
   if ($error) {
     print "<h1><font color ='#AA0000'><br> $error</font></h1>\n";
   }

  if ($submit and !$error) {
    print "<a name='results'>";
	print "\n<h1>Original</h1>\n";
	print "<p><pre>".$t_original."</pre></p>";
	print "\n<h1>No bootstrap values</h1>\n";
	print "<p><pre>".$t_1."</pre></p>";
	print "\n<h1>No branch lengths</h1>\n";
	print "<p><pre>".$t_2."</pre></p>";
	print "\n<h1>Topology only</h1>\n";
	print "<p><pre>".$t_3."</pre></p>";
	}

//
// END HTML OUTPUT
//

?>
<?php
show_page_footer();
?>
